<?php


    /*
    |------------------------------------------------------------------------------------------------
    | Information
    |------------------------------------------------------------------------------------------------
    |
    | This file is beautified by the command "sidekick:CodebeautifierCommand" of the ceetrox
    | sidekick package.
    |
    | Author: Marco Schmiedel <marco.schmiedel@itmax.email>
    | Update: 2022-06-15 10:07:09
    |
    */
    namespace Ceetrox\Sidekick\Views\Limitless\Codemirror;


    /*
    |------------------------------------------------------------------------------------------------
    | Dependencies
    |------------------------------------------------------------------------------------------------
    */
    use View;


    /*
    |------------------------------------------------------------------------------------------------
    | Class "Config"
    |------------------------------------------------------------------------------------------------
    */
    class Config
    {
        /*
        |--------------------------------------------------------------------------------------------
        | Parameter
        |--------------------------------------------------------------------------------------------
        */
        public $methodAllocation = [
        'Limitless::Codemirror' => 'master',
        ];

        public $assetAllocation;


        /*
        |--------------------------------------------------------------------------------------------
        | Method "__construct"
        |--------------------------------------------------------------------------------------------
        */
        public function __construct()
        {
            $this->assetAllocation = [
            'Limitless::Codemirror' => [
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/codemirror.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/3024-day.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/3024-night.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/abcdef.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/ambiance.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/base16-dark.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/bespin.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/base16-light.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/blackboard.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/cobalt.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/colorforth.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/dracula.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/duotone-dark.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/duotone-light.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/eclipse.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/elegant.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/erlang-dark.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/gruvbox-dark.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/hopscotch.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/icecoder.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/isotope.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/lesser-dark.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/liquibyte.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/lucario.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/material.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/mbo.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/mdn-like.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/midnight.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/monokai.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/neat.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/neo.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/night.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/nord.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/oceanic-next.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/panda-syntax.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/paraiso-dark.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/paraiso-light.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/pastel-on-dark.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/railscasts.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/rubyblue.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/seti.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/shadowfox.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/solarized.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/the-matrix.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/tomorrow-night-bright.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/tomorrow-night-eighties.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/ttcn.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/twilight.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/vibrant-ink.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/xq-dark.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/xq-light.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/yeti.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/idea.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/darcula.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/yonce.css"),
            secure_url("/ceetrox/sidekick/resource/public/Elements/codemirror/Styles/zenburn.css"),
            "Attachments/Codemirror.js" ,
            "Attachments/Multiplex.js",
            "Attachments/Overlay.js",
            "Attachments/Core.js",
            'Attachments/Layout.css',
            "Modes/shell.js" ,
            "Modes/python.js" ,
            "Modes/javascript.js" ,
            "Modes/manticore.js"
            ]
            ];

        }


        /*
        |--------------------------------------------------------------------------------------------
        | Method "master"
        |--------------------------------------------------------------------------------------------
        */
        public function master($parameters)
        {
            return View('Limitless::Codemirror.Attachments.Layout')
            ->withTheme( (isset($parameters['theme']) ? $parameters['theme'] : 'icecoder') )
            ->withLanguage( (isset($parameters['language']) ? $parameters['language'] : '') )
            ->withValue( (isset($parameters['value']) ? $parameters['value'] : '... no value parameter set...') )
            ->withExtra( (isset($parameters['extra']) ? $parameters['extra'] : [] ) );

        }

    }



